Versions Compared

Key

  • This line was added.
  • This line was removed.
  • Formatting was changed.
Comment: Migrated to Confluence 5.3

...

  1. Copy $JSW/lib/libwrapper.so to <install_directory>/bin/<platform>/lib
  2. Copy $JSW/bin/wrapper to <install_directory>/bin/<platform>
  3. Copy $JSW/bin/demoapp to <install_directory>/bin/<platform>. Rename it "sonar" (or "sonar.sh"), edit and set the variables APP_NAME and APP_LONG_NAME to "sonar", WRAPPER_CONF to "../../conf/wrapper.conf"
  4. Replace <install_directory>/lib/wrapper-3.2.3.jar by $JSW/lib/wrapper.jar
  5. The script <install_directory>/bin/<platform>/sonar is ready to start and stop the standalone server

 

Standalone

Note
titleIssue with JRuby 1.6.6 / 1.6.7
For versions prior to 4.0

Due to the following JRuby issue: https://jira.codehaus.org/browse/JRUBY-6494, the following line has to be added in SONARQUBE_HOME/conf/wrapper.conf:

Code Block
languagenone
wrapper.java.additional.3=-Djruby.native.enabled=false

Note that this will no longer be necessary when JRuby is upgraded to version 1.7+ in SonarQube: SONAR-4045

Tomcat

Note that this property has to be set when launching Tomcat (as the wrapper.conf file is not used when deploying in application server).